This endpoint creates a new conversation (thread) for a ChatNode. The returned conversation ID can be used with /api/conversation/{conversationId} to send messages.
Headers
string
required
Your API key for authentication. Can also be passed as api_key query parameter.
Request Body
string
required
The ID of the board where the ChatNode exists. Can also be passed as board_id query parameter.
string
required
The ChatNode ID. Can also be passed as chat_id query parameter.
string
Optional custom name for the conversation. If not provided, defaults to “API Conversation -
”.
Response
string
Unique identifier for the newly created conversation
string
The conversation name
string
ISO timestamp when the conversation was created
string
The board ID where the ChatNode exists
string
The ChatNode ID associated with this conversation
{ "boardId": "abc123", "chatId": "chat-node-456", "name": "My Custom Conversation"}
Creating a conversation does not send a message. To send a message, use POST /api/conversation/ {conversationId} after you create the conversation.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"POPPY AI Documentation","colors":{"primary":"#5046e5","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/getpoppyai/d5VZJxx0NUXD2c7y/logo/poppy-png-gang.png?fit=max\u0026auto=format\u0026n=d5VZJxx0NUXD2c7y\u0026q=85\u0026s=62e19a2e5525490c465737db5d8e00bc","dark":"https://mintcdn.com/getpoppyai/d5VZJxx0NUXD2c7y/logo/poppy-png-gang.png?fit=max\u0026auto=format\u0026n=d5VZJxx0NUXD2c7y\u0026q=85\u0026s=62e19a2e5525490c465737db5d8e00bc"},"favicon":"https://mintcdn.com/getpoppyai/d5VZJxx0NUXD2c7y/favicon-poppy.ico?fit=max\u0026auto=format\u0026n=d5VZJxx0NUXD2c7y\u0026q=85\u0026s=73e522864cd2eafa3fa3bcc8abb7afb1","api":{"mdx":{"auth":{"method":"key","name":"api_key"},"server":"https://api.getpoppy.ai"}},"navbar":{"links":[{"href":"mailto:support@getpoppy.ai","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/NazDumanskyy","instagram":"https://www.instagram.com/getpoppyai","linkedin":"https://www.linkedin.com/company/poppy-ai"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"getpoppyai","hasAudioNarration":false,"actualSubdomain":"getpoppyai","customDomains":["docs.getpoppy.ai"],"gitSource":{"type":"github","owner":"naz-qazi","repo":"poppy","deployBranch":"main","contentDirectory":"internal/docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6abedf7aeecbc5880dac1cb2","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"API Reference","count":8},{"language":"default","tag":"Conversation Endpoints","count":5},{"language":"default","tag":"Board and Chat Endpoints","count":2},{"language":"default","tag":"Made with Poppy AI","count":2},{"language":"default","tag":"Examples","count":2},{"language":"default","tag":"API Documentation","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/endpoint/conversation-create-via-post","slug":"/api-reference/endpoint/conversation-create-via-post","pageMetadata":{"title":"Create conversation","api":"POST /api/conversation/new","description":"Create a new conversation thread for a ChatNode","href":"/api-reference/endpoint/conversation-create-via-post"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a new conversation thread for a ChatNode\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Heading,Note,ParamField,ResponseField}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint creates a new conversation (thread) for a ChatNode. The returned conversation ID can be used with `,_jsx(_components.code,{children:`/api/conversation/{conversationId}`}),` to send messages.`]}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-api-key`,type:`string`,required:true,id:`param-x-api-key`,children:_jsxs(_components.p,{children:[`Your API key for authentication. Can also be passed as `,_jsx(_components.code,{children:`api_key`}),` query parameter.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`boardId`,type:`string`,required:true,id:`param-board-id`,children:_jsxs(_components.p,{children:[`The ID of the board where the ChatNode exists. Can also be passed as `,_jsx(_components.code,{children:`board_id`}),` query parameter.`]})}),`\n`,_jsx(ParamField,{body:`chatId`,type:`string`,required:true,id:`param-chat-id`,children:_jsxs(_components.p,{children:[`The ChatNode ID. Can also be passed as `,_jsx(_components.code,{children:`chat_id`}),` query parameter.`]})}),`\n`,_jsx(ParamField,{body:`name`,type:`string`,id:`param-name`,children:_jsxs(_components.p,{children:[`Optional custom name for the conversation. If not provided, defaults to “API Conversation -`,` `,`\n`,`”.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`conversationId`,type:`string`,id:`param-conversation-id`,children:_jsx(_components.p,{children:`Unique identifier for the newly created conversation`})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`The conversation name`})}),`\n`,_jsx(ResponseField,{name:`createdAt`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO timestamp when the conversation was created`})}),`\n`,_jsx(ResponseField,{name:`boardId`,type:`string`,id:`param-board-id-1`,children:_jsx(_components.p,{children:`The board ID where the ChatNode exists`})}),`\n`,_jsx(ResponseField,{name:`chatId`,type:`string`,id:`param-chat-id-1`,children:_jsx(_components.p,{children:`The ChatNode ID associated with this conversation`})}),`\n`,`\n`,`\n`,`\n`,`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Creating a conversation does not send a message. To send a message, use POST `,_jsx(_components.code,{children:`/api/conversation/ {conversationId}`}),` after you create the conversation.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create conversation","api":"POST /api/conversation/new","description":"Create a new conversation thread for a ChatNode","href":"/api-reference/endpoint/conversation-create-via-post"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint creates a new conversation (thread) for a ChatNode. The returned conversation ID can be used with `,_jsx(_components.code,{children:`/api/conversation/{conversationId}`}),` to send messages.`]}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-api-key`,type:`string`,required:true,id:`param-x-api-key`,children:_jsxs(_components.p,{children:[`Your API key for authentication. Can also be passed as `,_jsx(_components.code,{children:`api_key`}),` query parameter.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`boardId`,type:`string`,required:true,id:`param-board-id`,children:_jsxs(_components.p,{children:[`The ID of the board where the ChatNode exists. Can also be passed as `,_jsx(_components.code,{children:`board_id`}),` query parameter.`]})}),`\n`,_jsx(ParamField,{body:`chatId`,type:`string`,required:true,id:`param-chat-id`,children:_jsxs(_components.p,{children:[`The ChatNode ID. Can also be passed as `,_jsx(_components.code,{children:`chat_id`}),` query parameter.`]})}),`\n`,_jsx(ParamField,{body:`name`,type:`string`,id:`param-name`,children:_jsxs(_components.p,{children:[`Optional custom name for the conversation. If not provided, defaults to “API Conversation -`,` `,`\n`,`”.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`conversationId`,type:`string`,id:`param-conversation-id`,children:_jsx(_components.p,{children:`Unique identifier for the newly created conversation`})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`The conversation name`})}),`\n`,_jsx(ResponseField,{name:`createdAt`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO timestamp when the conversation was created`})}),`\n`,_jsx(ResponseField,{name:`boardId`,type:`string`,id:`param-board-id-1`,children:_jsx(_components.p,{children:`The board ID where the ChatNode exists`})}),`\n`,_jsx(ResponseField,{name:`chatId`,type:`string`,id:`param-chat-id-1`,children:_jsx(_components.p,{children:`The ChatNode ID associated with this conversation`})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Request`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"boardId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"abc123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chatId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chat-node-456\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"My Custom Conversation\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`201 Created`,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"conversationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"6de563f8-9b05-4710-9b46-4dd6761e2942\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"My Custom Conversation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-04-23T09:09:59.619Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"boardId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"abc123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chatId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chat-node-456\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`403 Unauthorized`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Unauthorized\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Invalid or missing API key.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`422 Validation Failed`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Validation failed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Request validation failed. Please check your parameters.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"details\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Creating a conversation does not send a message. To send a message, use POST `,_jsx(_components.code,{children:`/api/conversation/ {conversationId}`}),` after you create the conversation.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create conversation","api":"POST /api/conversation/new","description":"Create a new conversation thread for a ChatNode","href":"/api-reference/endpoint/conversation-create-via-post"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"boardId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"abc123\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"chatId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"chat-node-456\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"My Custom Conversation\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"201 Created","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"conversationId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"6de563f8-9b05-4710-9b46-4dd6761e2942\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"My Custom Conversation\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdAt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-04-23T09:09:59.619Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"boardId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"abc123\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"chatId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"chat-node-456\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create conversation","path":"/api/conversation/new","servers":[{"url":"https://api.getpoppy.ai"}],"method":"post","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"api_key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{"x-api-key":{"schema":[{"type":"string","description":"Your API key for authentication. Can also be passed as `api_key` query parameter.","required":true}]}},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"boardId":[{"type":"string","description":"The ID of the board where the ChatNode exists. Can also be passed as `board_id` query parameter.","required":true}],"chatId":[{"type":"string","description":"The ChatNode ID. Can also be passed as `chat_id` query parameter.","required":true}],"name":[{"type":"string","description":"Optional custom name for the conversation. If not provided, defaults to “API Conversation - ”."}]}}],"examples":{"example":{"value":{"boardId":"\u003cstring>","chatId":"\u003cstring>","name":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"conversationId":[{"type":"string","description":"Unique identifier for the newly created conversation"}],"name":[{"type":"string","description":"The conversation name"}],"createdAt":[{"type":"string","description":"ISO timestamp when the conversation was created"}],"boardId":[{"type":"string","description":"The board ID where the ChatNode exists"}],"chatId":[{"type":"string","description":"The ChatNode ID associated with this conversation"}]}}],"examples":{"example":{"value":{"conversationId":"\u003cstring>","name":"\u003cstring>","createdAt":"\u003cstring>","boardId":"\u003cstring>","chatId":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"getpoppyai","siteName":"POPPY AI Documentation","title":"Create conversation - POPPY AI Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-17T13:05:33.899Z","originalFileLocation":"api-reference/endpoint/conversation-create-via-post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new conversation thread for a ChatNode\">\u003cmeta data-mint-head name=\"application-name\" content=\"POPPY AI Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create conversation - POPPY AI Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new conversation thread for a ChatNode\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"POPPY AI Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://getpoppyai.mintlify.site/_mintlify/api/og/v2?division=Conversation+Endpoints\u0026amp;title=Create+conversation\u0026amp;description=Create+a+new+conversation+thread+for+a+ChatNode\u0026amp;theme=93827e953d02c3ee565b2630\u0026amp;signature=6d8754c33d1deec38a82b3e3b51ea4336d87a7b6e879f84ec86e50accec4d02e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create conversation - POPPY AI Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new conversation thread for a ChatNode\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://getpoppyai.mintlify.site/_mintlify/api/og/v2?division=Conversation+Endpoints\u0026amp;title=Create+conversation\u0026amp;description=Create+a+new+conversation+thread+for+a+ChatNode\u0026amp;theme=93827e953d02c3ee565b2630\u0026amp;signature=6d8754c33d1deec38a82b3e3b51ea4336d87a7b6e879f84ec86e50accec4d02e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/getpoppyai/psFwbNskKKzSTTxO/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"POPPY AI Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5046e5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/conversation-create-via-post.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.getpoppy.ai/#organization\",\"name\":\"POPPY AI Documentation\",\"url\":\"https://docs.getpoppy.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/getpoppyai/d5VZJxx0NUXD2c7y/logo/poppy-png-gang.png?fit=max\u0026auto=format\u0026n=d5VZJxx0NUXD2c7y\u0026q=85\u0026s=62e19a2e5525490c465737db5d8e00bc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.getpoppy.ai#website\",\"name\":\"POPPY AI Documentation\",\"url\":\"https://docs.getpoppy.ai\",\"publisher\":{\"@id\":\"https://docs.getpoppy.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post#webpage\",\"url\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post\",\"name\":\"Create conversation\",\"description\":\"Create a new conversation thread for a ChatNode\",\"dateModified\":\"2026-02-17T13:05:33.899Z\",\"isPartOf\":{\"@id\":\"https://docs.getpoppy.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Conversation Endpoints\",\"item\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-ask-via-get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create conversation\",\"item\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post#apireference\",\"headline\":\"Create conversation\",\"name\":\"Create conversation\",\"description\":\"Create a new conversation thread for a ChatNode\",\"url\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post\",\"mainEntityOfPage\":{\"@id\":\"https://docs.getpoppy.ai/api-reference/endpoint/conversation-create-via-post#webpage\"},\"dateModified\":\"2026-02-17T13:05:33.899Z\",\"publisher\":{\"@id\":\"https://docs.getpoppy.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.getpoppy.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"POPPY AI Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"POPPY AI Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/endpoint/conversation-create-via-post.md","siteName":"POPPY AI Documentation","nav":{"global":{"anchors":[]},"tabs":[{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Quickstart","href":"/api-reference/quickstart"}]},{"group":"Conversation Endpoints","pages":[{"title":"Ask knowledge base","api":"GET /api/conversation","href":"/api-reference/endpoint/conversation-ask-via-get"},{"title":"Ask knowledge base","api":"POST /api/conversation","href":"/api-reference/endpoint/conversation-ask-via-post"},{"title":"Chat with knowledge base","api":"GET /api/conversation/{conversationId}","href":"/api-reference/endpoint/conversation-message-via-get"},{"title":"Chat with knowledge base","api":"POST /api/conversation/{conversationId}","description":"Continue an existing conversation thread with your assistant","href":"/api-reference/endpoint/conversation-message-via-post"},{"title":"Create conversation","api":"POST /api/conversation/new","href":"/api-reference/endpoint/conversation-create-via-post"}]},{"group":"Board and Chat Endpoints","pages":[{"title":"Get boards","api":"GET /api/boards","description":"Retrieve all your boards","href":"/api-reference/endpoint/get-boards"},{"title":"Get chats","api":"GET /api/chats","href":"/api-reference/endpoint/get-chat-nodes"}]}]},{"tab":"Made with Poppy AI","pages":[{"title":"Made with Poppy AI","href":"/examples/slack-chatbot"}]}]},"basePath":"","title":"Create conversation - POPPY AI Documentation","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","CodeSnippet-eoRjC4Le.js","getApiPlaygroundDisplay-CZyAPlR2.js","Page-Cr9IwkK7.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js"]}